#
# spec file for package lzop
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lzop
VCS: https://src.suse.de/SLFO-pool/lzop#20e2a45e2c3aaed8ecf88cb777973b93bdb7c7d846fc0f95e4eb1f75d0aa0fd1
Version:        1.04
Release:        slfo.1.1_1.2
Summary:        Dictionary-based LZ-type compressor favoring speed
License:        GPL-2.0-or-later
Group:          Productivity/Archiving/Compression
URL:            https://www.lzop.org
Source0:        http://www.lzop.org/download/%{name}-%{version}.tar.gz
Source1:        %{name}.changes
BuildRequires:  cmake >= 3.0
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(lzo2)

%description
lzop is a general-purpose file compressor similar to gzip.
It favors higher compression and decompression speed at the cost
of compression ratio.

lzop was designed with the following goals in mind:
- speed (both compression and decompression)
- reasonable drop-in compatibility to gzip
- portability

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install
# Remove unwanted doc folder created during build
rm -fr %{buildroot}%{_datadir}/doc

%check
%ctest

%files
%doc AUTHORS ChangeLog NEWS README THANKS
%license COPYING
%{_bindir}/lzop
%{_mandir}/man1/lzop.1%{?ext_man}

%changelog
* Wed May 20 2020 mpluskal@suse.com
- Packaging cleanup:
  * Use modern macros
  * Use latests SPDX style of license strings
* Fri Feb  9 2018 mpluskal@suse.com
- Use pkgconfig style dependencies
- Mark license as such
* Mon Nov 13 2017 jengelh@inai.de
- Remove bias from descriptions.
* Sat Nov 11 2017 mpluskal@suse.com
- Use cmake for building
- Run tests during build
* Sat Nov 11 2017 aavindraa@gmail.com
- update to 1.0.4:
  * Added CMake build support
  * Assorted minor updates
- clean with spec-cleaner
- remove patches
  * lzop-1.03-gcc5_ppc64.patch
  * lzop-1.03-gcc6.patch
* Fri Apr  1 2016 normand@linux.vnet.ibm.com
- new lzop-1.03-gcc5_ppc64.patch:
  use static inlines as the external inline definition has
  changed with gcc5
* Wed Feb 10 2016 rguenther@suse.com
- Add lzop-1.03-gcc6.patch to fix undefined behavior in its ACC test
  uncovered by GCC 6.
* Fri Mar 13 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Use url for source
- Cleanup dependencies
- Remove _DATE_ and _TIME_ usage
* Tue Jan  3 2012 joop.boonen@opensuse.org
- Build lzop version 1.03
* Wed Jun  6 2007 guru@unixtech.be
- update to 1.02rc1
* Thu May 31 2007 guru@unixtech.be
- initial submission to openSUSE Build Service
- patch to compile against lzo 2
